Class | Chef::VersionConstraint
In: | lib/chef/version_constraint.rb
Parent: | Object

### Methods

== eql? include? inspect new to_s

### Constants

DEFAULT_CONSTRAINT | = | ">= 0.0.0"
STANDARD_OPS | = | %w(< > <= >=)
OPS | = | %w(< > = <= >= ~>)
PATTERN | = | /^(#{OPS.join('|')}) (.+)$/

### Attributes

op | [R] |
version | [R] |

### Public Class methods

new(constraint_spec=DEFAULT_CONSTRAINT)

### Public Instance methods

==(o)

Alias for eql?

eql?(o)
include?(v)
inspect()
to_s()

[Validate]